[Debian-in-commits] [SCM] Git repository for debian-in branch, master, updated. 007bb2e8d365d454e6c4d7938e2e9924be65836e

Vasudev Kamath kamathvasudev at gmail.com
Sun Sep 30 07:19:53 UTC 2012


The following commit has been merged in the master branch:
commit 007bb2e8d365d454e6c4d7938e2e9924be65836e
Author: Vasudev Kamath <kamathvasudev at gmail.com>
Date:   Sun Sep 30 12:49:39 2012 +0530

    Fixed setup-repository script to consider kgb

diff --git a/attic/scripts/setup-repository b/attic/scripts/setup-repository
new file mode 100755
index 0000000..29c8945
--- /dev/null
+++ b/attic/scripts/setup-repository
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# This script is used to setup a git repository for use by the Debian Games
+# Team.
+
+set -e
+
+USAGE="\n\
+This script is used to perform the operations needed to create a git\n\
+repository for use by the Debian Games Team.\n\
+\n\
+Usage: setup-repository <package> <description>\n\
+\n\
+Options:
+    <package> is the package name a git repository is being created for.\n\
+    <description> is a description for the git repository.\n\
+        It should be something like 'Packaging for <package>'.\n"
+
+if [ "$#" -ne "2" ]; then
+	echo -e "${USAGE}"
+	exit 1
+fi
+
+PACKAGE="$1"
+DESCRIPTION="$2"
+
+# Create the repository
+mkdir $PACKAGE.git
+cd $PACKAGE.git
+/usr/bin/git --bare init --shared
+
+# Add the repository description
+echo "$DESCRIPTION" >description
+
+# Enable the hook scripts
+mv hooks/post-update.sample hooks/post-update
+#chmod a+x hooks/post-update
+git config --add hooks.mailinglist "debian-in-commits at lists.alioth.debian.org"
+git config --add hooks.cia-project "Debian-IN"
+git config --add hooks.bcc "${PACKAGE}_cvs at packages.qa.debian.org"
+META=/home/groups/debian-in/meta
+cat >hooks/post-receive <<END
+#!/bin/sh
+$META/debian-in-post-receive
+END
+chmod a+x hooks/post-receive
+
+# Go back to the parent directory
+cd ..

-- 
Git repository for debian-in



More information about the Debian-in-commits mailing list